Subject: bug#16116: 24.3.50; smie-indent-close aligns inner closing paren with the outer opening paren

From: Stefan Monnier <[email-masked]>
Date: Sun, 15 Dec 2013 08:00:00 -0500

>>> I believe this argument also works against doing it in the rules
>>> function, and in favor of adding a defvar.
>> I don't think so: setting the var is a one-liner, adding the rule to the
>> rule-function is also a one-liner.  So either way is just as easy for
>> the major-mode.
> I mean in terms of code reuse: the rules function is also specific
> to a major mode. The rule itself doesn't look like it'll take just one line
> to me, AFAICS it'll have to duplicate most of the code in
> smie-indent-close':

No, the rule should be something like

   (`(:close-all . ,_) t)

I.e. equivalent to

  (setq-local smie-indent-close-all t)

-- Stefan